You are not logged in.

#1 2012-10-13 18:16:53

flateric
Member
Registered: 2007-08-28
Posts: 48

KWIN Gles support broken after latest X server upgrade.

Hello,

latest upgrade X server/libgles packages broke kwin support for gles (kwin_gles). Desktop with "kwin_gles" is for me unusable (flickering, very slow, terminal don't show characters...) Switch to kwin (kwin --replace) with composititng type opengl or XRender solve this problem. Does anybody same problem?

GPU: ATI x1400 driver: radeon
KDE: 4.9.2

Thanks

Offline

#2 2012-10-13 18:40:28

Anaki
Member
Registered: 2008-05-14
Posts: 8

Re: KWIN Gles support broken after latest X server upgrade.

Yup. Same here, but with Intel graphics.

Offline

#3 2012-10-13 19:31:08

Thaodan
Member
From: Dortmund, Nordrein-Westfalen
Registered: 2012-04-28
Posts: 439

Re: KWIN Gles support broken after latest X server upgrade.

I have the flickering too but with the regular kwin, using intel graphics (3rd gen hd series).


Linux odin 3.13.1-pf #1 SMP PREEMPT Wed Mar 5 21:47:28 CET 2014 x86_64 GNU/Linux

Offline

#4 2012-10-13 20:07:46

Thaodan
Member
From: Dortmund, Nordrein-Westfalen
Registered: 2012-04-28
Posts: 439

Re: KWIN Gles support broken after latest X server upgrade.

Downgrading intel-dri to version version to  0.8-4-3 and libgl to version 0.8.4-3 solved it for me hope it helps.


Linux odin 3.13.1-pf #1 SMP PREEMPT Wed Mar 5 21:47:28 CET 2014 x86_64 GNU/Linux

Offline

#5 2012-10-14 07:50:24

flateric
Member
Registered: 2007-08-28
Posts: 48

Re: KWIN Gles support broken after latest X server upgrade.

Downgraded ati-dri,  libegl,  libgbm,  libgl,  libgles. Kwin_gles is running, but compositing type OpenGL not work only XRender is usable. Maybe, kwin_gles is incompatabile with new version (9.0) mesa/libgles.

Offline

#6 2012-10-14 14:34:21

regisaih
Member
Registered: 2012-10-14
Posts: 2

Re: KWIN Gles support broken after latest X server upgrade.

Same problem here. My chipset is Intel HD Graphics 4000. Downgraded part of uppgrade:

==> Package upgrade only (new release):
extra/glew              1.8.0-1   1 -> 2
extra/jasper            1.900.1-7 7 -> 8

==> Software upgrade (new version) :
extra/libglapi          8.0.4-3   -> 9.0-1
extra/libgl             8.0.4-3   -> 9.0-1
extra/intel-dri         8.0.4-3   -> 9.0-1
extra/khrplatform-devel 8.0.4-3   -> 9.0-1
extra/libgbm            8.0.4-3   -> 9.0-1
extra/libegl            8.0.4-3   -> 9.0-1
extra/libgles           8.0.4-3   -> 9.0-1
extra/mesa              8.0.4-3   -> 9.0-1

==> New package :
extra/glu               9.0.0-1   (required by glew)

Offline

#7 2012-10-14 16:26:50

flateric
Member
Registered: 2007-08-28
Posts: 48

Re: KWIN Gles support broken after latest X server upgrade.

Offline

#8 2012-10-14 16:42:20

Thaodan
Member
From: Dortmund, Nordrein-Westfalen
Registered: 2012-04-28
Posts: 439

Re: KWIN Gles support broken after latest X server upgrade.

Thanks, but kwin is affected too.


Linux odin 3.13.1-pf #1 SMP PREEMPT Wed Mar 5 21:47:28 CET 2014 x86_64 GNU/Linux

Offline

#9 2012-10-14 17:06:23

KejPi
Member
Registered: 2011-06-17
Posts: 39

Re: KWIN Gles support broken after latest X server upgrade.

I have switched back to kwin and it works without any issue with ATI radeon driver.

Offline

#10 2012-10-14 18:50:59

gh403
Member
Registered: 2012-09-15
Posts: 22

Re: KWIN Gles support broken after latest X server upgrade.

Same thing here.  I have an Ivy Bridge graphics chip and updating to intel-dri 9.0 and libgl 9.0 literally cut glxspheres's performance in half.

Not to mention I have all kinds of tearing and rendering artifacts.  See http://s11.postimage.org/xcghsci2r/snapshot2.png.

Offline

#11 2012-10-14 20:40:29

msx
Member
From: solar.system/earth/ar/bue/mdp
Registered: 2010-08-08
Posts: 184
Website

Re: KWIN Gles support broken after latest X server upgrade.

Phew, I was affraid I was the only having all kind of artifacts with KWin.
I confirm issues with both Intel and ATi's radeon modules.


Enjoying i3wm w/ lifebar + j4-dmenu-desktop + tab_windows / fish shell / Emacs / tmux / Konsole / KDE apps
Arch + Linux-libre kernel: ParabolaGNULinux.org

Offline

#12 2012-10-14 20:57:28

gh403
Member
Registered: 2012-09-15
Posts: 22

Re: KWIN Gles support broken after latest X server upgrade.

Does anyone need the old packages?  Installing the 8.x drivers fixes the issues.  I can post them here (x86_64 only, unfortunately) if nobody has old versions.

Offline

#13 2012-10-14 21:23:17

msx
Member
From: solar.system/earth/ar/bue/mdp
Registered: 2010-08-08
Posts: 184
Website

Re: KWIN Gles support broken after latest X server upgrade.

gh403 wrote:

Does anyone need the old packages?  Installing the 8.x drivers fixes the issues.  I can post them here (x86_64 only, unfortunately) if nobody has old versions.

I could certainly use them (x86_64) so yes, please.


Enjoying i3wm w/ lifebar + j4-dmenu-desktop + tab_windows / fish shell / Emacs / tmux / Konsole / KDE apps
Arch + Linux-libre kernel: ParabolaGNULinux.org

Offline

#14 2012-10-14 21:42:13

gh403
Member
Registered: 2012-09-15
Posts: 22

Re: KWIN Gles support broken after latest X server upgrade.

I don't see a way to attach them directly to this post, so here they are on Sendspace:

http://www.sendspace.com/filegroup/vTlp … 2FOXOoWpPu

EDIT:  If you don't clear your pacman cache regularly, then these packages (and probably many others) are in /var/cache/pacman/pkg.  Install them manually with pacman -U.

Last edited by gh403 (2012-10-14 21:45:09)

Offline

#15 2012-10-15 01:33:21

msx
Member
From: solar.system/earth/ar/bue/mdp
Registered: 2010-08-08
Posts: 184
Website

Re: KWIN Gles support broken after latest X server upgrade.

gh403 wrote:

I don't see a way to attach them directly to this post, so here they are on Sendspace:

http://www.sendspace.com/filegroup/vTlp … 2FOXOoWpPu

EDIT:  If you don't clear your pacman cache regularly, then these packages (and probably many others) are in /var/cache/pacman/pkg.  Install them manually with pacman -U.


Indeed I did clear it yesterday tongue
Thanks for uploading the files.


Enjoying i3wm w/ lifebar + j4-dmenu-desktop + tab_windows / fish shell / Emacs / tmux / Konsole / KDE apps
Arch + Linux-libre kernel: ParabolaGNULinux.org

Offline

#16 2012-10-16 11:53:16

virgolus
Member
From: Brescia, Italy
Registered: 2012-10-16
Posts: 18

Re: KWIN Gles support broken after latest X server upgrade.

Same problem here. Resolved with uploaded files. Thx guys.

Offline

#17 2012-10-17 11:50:07

ValdikSS
Member
Registered: 2011-03-30
Posts: 31

Re: KWIN Gles support broken after latest X server upgrade.

Just install "downgrade" from AUR or use archlinux rollback machine.

Offline

Board footer

Powered by FluxBB